unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RGBATitleBar, ExtCtrls, RGBAPanel, RGBAButton, RGBAHint, RGBALabel,
  RGBACheckBox, RGBARadioButton;

type
  TMainForm = class(TForm)
    RGBAPanel1: TRGBAPanel;
    TitleBar: TRGBATitleBar;
    RGBAHint1: TRGBAHint;
    RGBAButton1: TRGBAButton;
    RGBAButton2: TRGBAButton;
    RGBALabel1: TRGBALabel;
    RGBALabel2: TRGBALabel;
    RGBACheckBox1: TRGBACheckBox;
    RGBARadioButton1: TRGBARadioButton;
    RGBARadioButton2: TRGBARadioButton;
    RGBARadioButton3: TRGBARadioButton;
    RGBARadioButton4: TRGBARadioButton;
    RGBARadioButton5: TRGBARadioButton;
    RGBALabel3: TRGBALabel;
    RGBALabel4: TRGBALabel;
    RGBALabel5: TRGBALabel;
    RGBALabel6: TRGBALabel;
    RGBALabel7: TRGBALabel;
    RGBALabel8: TRGBALabel;
    RGBALabel9: TRGBALabel;
    procedure FormCreate(Sender: TObject);
    procedure RGBAButton2Click(Sender: TObject);
    procedure SetAntiAlias(Sender: TObject);
    procedure SetOpacity(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
     TitleBar.HideFormCaptionBar(MainForm);
end;

procedure TMainForm.RGBAButton2Click(Sender: TObject);
begin
     Application.Terminate;
end;

procedure TMainForm.SetAntiAlias(Sender: TObject);
begin
     If RGBACheckBox1.Checked Then
     Begin
          RGBALabel2.Caption.Text:='Anti-Aliased';
          RGBALabel2.Caption.AntiAlias:=True;
     End
     Else
     Begin
          RGBALabel2.Caption.Text:='Not Anti-Aliased';
          RGBALabel2.Caption.AntiAlias:=False;
     End;
end;

procedure TMainForm.SetOpacity(Sender: TObject);
begin
     RGBALabel3.Caption.Opacity:=(Sender As TRGBARadioButton).Tag;
end;

end.
